from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.sdbc import XDataSource

@runtime_checkable
class XDatabaseAccess(XDataSource, Protocol):
    def hasConnections(self) -> bool: ...
    def addDatabaseAccessListener(self, listener: inXDatabaseAccessListener) -> None: ...
    def removeDatabaseAccessListener(self, listener: inXDatabaseAccessListener) -> None: ...
